Skip to main content
POST
/
api
/
v1
/
teams
/
{team_id}
/
contact-attributes
/
{definition_id}
/
options
Create Option
curl --request POST \
  --url https://api.member.dev/api/v1/teams/{team_id}/contact-attributes/{definition_id}/options \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "label": "<string>",
      "slug": "<string>",
      "position": 0
    },
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "created_at": "2023-11-07T05:31:56Z",
      "definition_id": "<string>",
      "label": "<string>",
      "position": 123,
      "slug": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "id": "<string>",
    "type": "contact_attribute_options"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
definition_id
string
required

Body

application/vnd.api+json
data
OptionCreateResource · object
required

Response

Successful Response

data
OptionResource · object
required